Mail::SpamAssassin::Header::ArcAuthenticationResults(3pm)

NAME
Mail::SpamAssassin::Header::ArcAuthenticationResults - parser for ARC-Authentication-Results headers

SYNOPSIS
    my $aar = Mail::SpamAssassin::Header::ArcAuthenticationResults->new($hdr_value);
    print $aar->arc_index();     # 1
    print $aar->authserv_id();   # 'mx.example.com'
    my @names = $aar->methods(); # ('spf', 'dkim', ...)

DESCRIPTION
This class inherits from AuthenticationResults to parse ARC-Authentication-Results header fields per RFC 8617. The only difference from a standard Authentication-Results header is the leading "i=N;" tag that identifies the ARC instance index.

METHODS

new($value)
    Creates a new instance, parsing the given raw header value. The "i=N;" prefix is extracted and stored before delegating to the parent parser.

arc_index()
    Returns the ARC instance index (the "i=" tag value).